Skip to main content
POST
Add document to CDD

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The id of the cdd request

Example:

"d6e3b214-30b1-4401-a1b8-a1bd3c6a84e4"

Body

multipart/form-data
type
enum<string>
required

The type of the document

Available options:
PROOF_OF_ADDRESS,
SHAREHOLDERS_LIST,
ARTICLES_OF_INCORPORATION
Example:

"PROOF_OF_ADDRESS"

file
file
required

The file to upload

Response

OK

id
string

The id of the document

Example:

"doc_123"

created_at
string<ISO8601>

The date the document was created

Example:

"2023-04-30T23:50:51.222Z"

file_name
string

The name of the document

Example:

"proof_of_address.pdf"

file_type
enum<string>

mime type of the file

Available options:
application/pdf
Example:

"application/pdf"

type
enum<string>

The type of the document

Available options:
CHRONOLOGICAL_EXTRACT,
SHAREHOLDER_LIST,
REGISTRY_EXCERPT,
INCORPORATION,
OWNERSHIP_AND_SHAREHOLDING_CHANGES,
OFFICER_CHANGES,
FINANCIAL_STATEMENTS,
ADDRESS_AND_STRUCTURAL_CHANGES
Example:

"INCORPORATION"

url
string

The URL to download the document

Example:

"https://example-bucket.s3.eu-central-1.amazonaws.com/placeholder-folder/sample-document.pdf"